Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class FeatureGroup.Status

    java.lang.Object
      portlets.compoze.groupware.FeatureGroup.Status

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  FeatureGroup

public static class FeatureGroup.Status
extends java.lang.Object
implements java.io.Serializable

This class represents a feature status.

See Also:
  Serialized Form

Field Summary
`static FeatureGroup.Status` | `ACTIVE` This value represents the 'Active' feature status.
`static FeatureGroup.Status` | `DISABLED` This value represents the 'Disabled' feature status.
`static FeatureGroup.Status` | `INACTIVE` This value represents the 'Inactive' feature status.
`static FeatureGroup.Status` | `UNAVAILABLE` This value represents the 'Unavailable' feature status.
`static int` | `VALUE_ACTIVE` This is the value of the feature 'active' status.
`static int` | `VALUE_DISABLED` This is the value of the feature 'disabled' status.
`static int` | `VALUE_INACTIVE` This is the value of the feature 'inactive' status.
`static int` | `VALUE_UNAVAILABLE` This is the value of the feature 'unavailable' status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Status` object is "equal to" this one.
`int` | `getValue()` Gets the feature status value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ACTIVE

    public static final int VALUE_ACTIVE

  This is the value of the feature 'active' status.

  See Also:
    Constant Field Values

### VALUE_INACTIVE

    public static final int VALUE_INACTIVE

  This is the value of the feature 'inactive' status.

  See Also:
    Constant Field Values

### VALUE_DISABLED

    public static final int VALUE_DISABLED

  This is the value of the feature 'disabled' status.

  See Also:
    Constant Field Values

### VALUE_UNAVAILABLE

    public static final int VALUE_UNAVAILABLE

  This is the value of the feature 'unavailable' status.

  See Also:
    Constant Field Values

### ACTIVE

    public static final FeatureGroup.Status ACTIVE

  This value represents the 'Active' feature status.

### INACTIVE

    public static final FeatureGroup.Status INACTIVE

  This value represents the 'Inactive' feature status.

### DISABLED

    public static final FeatureGroup.Status DISABLED

  This value represents the 'Disabled' feature status.

### UNAVAILABLE

    public static final FeatureGroup.Status UNAVAILABLE

  This value represents the 'Unavailable' feature status.

Method Detail

### getValue

    public int getValue()

  Gets the feature status value.

  Returns:
    the feature value (see `VALUE_` constants)

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Status` object is "equal to" this one. Equality is determined by matching the feature status value (see `VALUE_` constants).

  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.